<template>
    <v-row>
        <v-col>
            <h1>Nová rezervace</h1>
            <v-divider />
            <v-form>
                <v-row>
                    <v-col cols="8">
                        <v-select v-model="attributes.vyberProhlidka"
                                  label="Typ prohlídky"
                                  :items="attributes.prohlidky"
                                  item-text="nazev"
                                  return-object></v-select>
                    </v-col>
                    <v-col cols="8">
                        <v-select v-model="attributes.vyberPacient"
                                  label="Pacient"
                                  :items="attributes.pacienti"
                                  item-text="jmeno"
                                  return-object></v-select>
                    </v-col>
                    <v-col cols="8">
                        <v-text-field v-model="attributes.poznamka" label="Poznámka"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        Termín<p />
                        <v-date-picker v-model="attributes.termin" elevation="15" class="mt-4" :first-day-of-week="1" locale="cs-cz"></v-date-picker><p />
                    </v-col>
                </v-row>
                <v-row>
                    <v-col>
                        <v-btn right color="success" v-on:click="vytvorit">
                            <v-icon>mdi-check</v-icon>
                        </v-btn>
                    </v-col>
                </v-row>
            </v-form>
        </v-col>
    </v-row>
</template>

<script>
    export default {
        data() {
            return {
                id: null,
                type: 'items',
                attributes: {
                    prohlidkaNazev: null,
                    pacientJmeno: null,
                    poznamka: null,
                    termin: null,
                    vyberProhlidka: null,
                    vyberPacient: null,
			        prohlidky: [],
                    pacienti: []
                }
            }
        },
        async mounted() {
            const resProhlidky = await this.$axios.get('/api/Prohlidka');
            this.attributes.prohlidky = resProhlidky.data.sort(function (a, b) { return a.nazev > b.nazev });

            const resPacienti = await this.$axios.get('/api/Pacient');
            this.attributes.pacienti = resPacienti.data.sort(function (a, b) { return a.jmeno > b.jmeno });
        },
        methods: {
            vytvorit: async function (event) {
                const res = await this.$axios.post('/api/Rezervace', {
                    idPacient: this.attributes.vyberPacient.id,
                    idProhlidka: this.attributes.vyberProhlidka.id,
                    poznamka: this.attributes.poznamka,
                    termin: this.attributes.termin
                });
                console.log(res);
                location.href='/rezervace';
            }
        }
    }
</script>
